Package opennlp.tools.namefind

# Class NameSampleTypeFilter

java.lang.Object
opennlp.tools.util.FilterObjectStream<NameSample,NameSample>
opennlp.tools.namefind.NameSampleTypeFilter

All Implemented Interfaces:
  `AutoCloseable`, `ObjectStream<NameSample>`

public class NameSampleTypeFilter extends FilterObjectStream<NameSample,NameSample>
A `stream` which removes `name samples` which do not have a certain type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NameSampleTypeFilter(String[] types, ObjectStream<NameSample> samples)`
  Initializes a `NameSampleTypeFilter`.
  `NameSampleTypeFilter(Set<String> types, ObjectStream<NameSample> samples)`
  Initializes a `NameSampleTypeFilter`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NameSample`
  `read()`
  Returns the next `ObjectStream` object.

  ### Methods inherited from class opennlp.tools.util.FilterObjectStream

  `close, reset`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NameSampleTypeFilter

    public NameSampleTypeFilter(String[] types, ObjectStream<NameSample> samples)
    Initializes a `NameSampleTypeFilter`.
    Parameters:
      `types` - An array with types to use.
      `samples` - An `ObjectStream<NameSample>` with the samples to filter.

  - ### NameSampleTypeFilter

    public NameSampleTypeFilter(Set<String> types, ObjectStream<NameSample> samples)
    Initializes a `NameSampleTypeFilter`.
    Parameters:
      `types` - A `Set` with types to use.
      `samples` - An `ObjectStream<NameSample>` with the samples to filter.

- ## Method Details

  - ### read

    public NameSample read() throws IOException
    Description copied from interface: `ObjectStream`
    Returns the next `ObjectStream` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
    Returns:
      The next object or `null` to signal that the stream is exhausted.
    Throws:
      `IOException` - Thrown if there is an error during reading.